## yafaray 0.1.2~beta2

=== CMakeLists.txt ===
project (yafaray)
cmake_minimum_required (VERSION 2.6)

set(CMAKE_MODULE_PATH "${CMAKE_SOURCE_DIR}/CMakeModules")
set(CMAKE_COLOR_MAKEFILE ON)
set(CMAKE_VERBOSE_MAKEFILE OFF)
   
####### Options ########
option(WITH_Pthreads "Build with POSIX threads wrapper on windows platforms" OFF)
option(WITH_Freetype "Build font rendering with FreeType" ON)
option(WITH_OpenEXR "Build OpenEXR image I/O plugin" ON)
option(WITH_JPEG "Build JPEG image I/O plugin" ON)
option(WITH_PNG "Build PNG image I/O plugin" ON)
option(WITH_TIFF "Build TIFF image I/O plugin" ON)
option(WITH_XML_LOADER "Build XML Loader" ON)
option(WITH_QT "Enable Qt Gui build" ON)
option(WITH_YAF_PY_BINDINGS "Enable the YafaRay Python bindings" ON)
option(WITH_YAF_RUBY_BINDINGS "Enable the YafaRay Ruby bindings" OFF)
option(WITH_OSX_ADDON "Enable the use of blender's included python lib on OSX platforms" OFF)
option(BUILDRELEASE "Enable release mode building of YafaRay" OFF)
option(DEBUG_BUILD "Enable debug build mode" OFF)
option(EMBED_FONT_QT "Embed font for QT GUI (usefull for some buggy QT installations)" OFF)

###### Packages and Definitions #########

# Load user configurations if available
include(CMakeConfig/UserConfig.txt OPTIONAL)

if(NOT YAF_USER_CONFIG)
	include(${CMAKE_BINARY_DIR}/UserConfig.txt OPTIONAL)
endif(NOT YAF_USER_CONFIG)
if(NOT YAF_USER_CONFIG)
	include(${CMAKE_SOURCE_DIR}/UserConfig.txt OPTIONAL)
endif(NOT YAF_USER_CONFIG)

if(NOT YAF_MIN_RAY_DIST)
	set(YAF_MIN_RAY_DIST 0.00005)
endif(NOT YAF_MIN_RAY_DIST)

if(NOT YAF_SHADOW_BIAS)
	set(YAF_SHADOW_BIAS 0.0005)
endif(NOT YAF_SHADOW_BIAS)

if(YAF_USER_INCLUDE_DIRS)
	set(CMAKE_INCLUDE_PATH ${YAF_USER_INCLUDE_DIRS} CACHE STRING "Include search directories" FORCE)
endif(YAF_USER_INCLUDE_DIRS)

if(YAF_USER_LIBRARY_DIRS)
	set(CMAKE_LIBRARY_PATH ${YAF_USER_LIBRARY_DIRS} CACHE STRING "Library search directories" FORCE)
endif(YAF_USER_LIBRARY_DIRS)

SET(YAF_PROGRAM_PATH "")

if(YAF_USER_QT_BIN_DIR)
	SET(CMAKE_PROGRAM_PATH ${YAF_USER_QT_BIN_DIR} CACHE STRING "Executables search directories" FORCE)
endif(YAF_USER_QT_BIN_DIR)

if(YAF_USER_SWIG_BIN_DIR)
	UNSET(SWIG_EXECUTABLE CACHE)
	UNSET(SWIG_FOUND CACHE)
	FIND_PROGRAM(SWIG_EXECUTABLE swig PATHS ${YAF_USER_SWIG_BIN_DIR} NO_DEFAULT_PATH)
endif(YAF_USER_SWIG_BIN_DIR)

if(YAF_USER_EXTRA_LIBS)
	set(CMAKE_CXX_STANDARD_LIBRARIES "${CMAKE_CXX_STANDARD_LIBRARIES} ${YAF_USER_EXTRA_LIBS}" CACHE STRING "Standard C++ libraries" FORCE)
endif(YAF_USER_EXTRA_LIBS)

# find the required libs
find_package(ZLIB REQUIRED)
find_package(LibXml2 REQUIRED)

if(LIBXML2_FOUND)
	add_definitions(-DHAVE_XML)
	message("Using LibXML: yes")
else(LIBXML2_FOUND)
	message("Using LibXML: no")
endif(LIBXML2_FOUND)

find_package(Threads REQUIRED)

# Find optional libs
if(CMAKE_HAVE_PTHREAD_H)
	if(WIN32)
		if(WITH_Pthreads)
			add_definitions(-DHAVE_PTHREAD)
			message("Using Posix Threads: yes")
		else(WITH_Pthreads)
			message("Using Posix Threads: no (disabled by user)")
		endif(WITH_Pthreads)
	else(WIN32)
		add_definitions(-DHAVE_PTHREAD)
		message("Using Posix Threads: yes")
	endif(WIN32)
else(CMAKE_HAVE_PTHREAD_H)
	message("Using Posix Threads: no (not found)")
endif(CMAKE_HAVE_PTHREAD_H)

if(WITH_Freetype)
	find_package(Freetype REQUIRED)
	message("Using FreeType: yes")
	if(FREETYPE_FOUND)
		add_definitions(-DHAVE_FREETYPE)
	endif(FREETYPE_FOUND)
else(WITH_Freetype)
	message("Using FreeType: no")
endif(WITH_Freetype)

if(WITH_OpenEXR)
	find_package(OpenEXR REQUIRED)
	message("Using OpenEXR: yes")
else(WITH_OpenEXR)
	message("Using OpenEXR: no")
endif(WITH_OpenEXR)

if(WITH_JPEG)
	find_package(JPEG REQUIRED)
	message("Using JPEG: yes")
else(WITH_JPEG)
	message("Using JPEG: no")
endif(WITH_JPEG)

if(WITH_PNG)
	find_package(PNG REQUIRED)
	message("Using PNG: yes")
else(WITH_PNG)
	message("Using PNG: no")
endif(WITH_PNG)

if(WITH_TIFF)
	find_package(TIFF REQUIRED)
	message("Using TIFF: yes")
else(WITH_TIFF)
	message("Using TIFF: no")
endif(WITH_TIFF)

if(WITH_QT)
	find_package(Qt4 4.4.0 COMPONENTS QtCore QtGui REQUIRED)
	# Qt enabling header
	include(${QT_USE_FILE})
	message("Using Qt: yes")
else(WITH_QT)
	message("Using Qt: no")
endif(WITH_QT)

if(WITH_XML_LOADER)
	message("Building XML loader: yes")
else(WITH_XML_LOADER)
	message("Building XML loader: no")
endif(WITH_XML_LOADER)

if(WITH_YAF_PY_BINDINGS)
	message("Building Python bindings: yes")
else(WITH_YAF_PY_BINDINGS)
	message("Building Python bindings: no")
endif(WITH_YAF_PY_BINDINGS)

if(WITH_YAF_RUBY_BINDINGS)
	message("Building Ruby bindings: yes")
else(WITH_YAF_RUBY_BINDINGS)
	message("Building Ruby bindings: no")
endif(WITH_YAF_RUBY_BINDINGS)

if(DEBUG_BUILD)
	set(CMAKE_BUILD_TYPE Debug CACHE STRING "Build mode" FORCE)
else(DEBUG_BUILD)
	set(CMAKE_BUILD_TYPE Release CACHE STRING "Build mode" FORCE)
endif(DEBUG_BUILD)

set(YAF_INCLUDE_DIRS ${CMAKE_SOURCE_DIR}/include ${CMAKE_BINARY_DIR})

if (USER_INSTALL_PREFIX)
	set(CMAKE_INSTALL_PREFIX ${USER_INSTALL_PREFIX})
endif (USER_INSTALL_PREFIX)

if(NOT WIN32)
	# installation directories

	if(NOT YAF_BIN_DIR)
		set(YAF_BIN_DIR bin)
	endif(NOT YAF_BIN_DIR)

	if(NOT YAF_LIB_DIR)
		set(YAF_LIB_DIR lib)
	endif(NOT YAF_LIB_DIR)

	# build flags
	set(CMAKE_CXX_FLAGS "-Wall" CACHE STRING "Default compiler flags" FORCE)
	
	if(USER_RELEASE_OPTIMIZATION_FLAGS)
		set(YAF_CXX_FLAGS_RELEASE ${USER_RELEASE_OPTIMIZATION_FLAGS})
	else(USER_RELEASE_OPTIMIZATION_FLAGS)
		set(YAF_CXX_FLAGS_RELEASE "-O3 -ffast-math")
	endif(USER_RELEASE_OPTIMIZATION_FLAGS)
	
	if(USER_DEBUG_OPTIMIZATION_FLAGS)
		set(YAF_CXX_FLAGS_DEBUG ${USER_DEBUG_OPTIMIZATION_FLAGS})
	else(USER_DEBUG_OPTIMIZATION_FLAGS)
		set(YAF_CXX_FLAGS_DEBUG "-ggdb")
	endif(USER_DEBUG_OPTIMIZATION_FLAGS)
	
	if(APPLE)
		set(CMAKE_INSTALL_NAME_DIR @rpath)
	endif(APPLE)
	
	set(YAF_TARGET_TYPE LIBRARY)
	
else(NOT WIN32)
	# installation directories

	if(NOT YAF_BIN_DIR)
		set(YAF_BIN_DIR bin)
	endif(NOT YAF_BIN_DIR)

	set(YAF_LIB_DIR ${YAF_BIN_DIR})

	# build flags
	if(MINGW)
		set(CMAKE_CXX_FLAGS "-Wall" CACHE STRING "Default compiler flags" FORCE)

		if(USER_RELEASE_OPTIMIZATION_FLAGS)
			set(YAF_CXX_FLAGS_RELEASE ${USER_RELEASE_OPTIMIZATION_FLAGS})
		else(USER_RELEASE_OPTIMIZATION_FLAGS)
			set(YAF_CXX_FLAGS_RELEASE "-O3 -ffast-math")
		endif(USER_RELEASE_OPTIMIZATION_FLAGS)
		
		if(USER_DEBUG_OPTIMIZATION_FLAGS)
			set(YAF_CXX_FLAGS_DEBUG ${USER_DEBUG_OPTIMIZATION_FLAGS})
		else(USER_DEBUG_OPTIMIZATION_FLAGS)
			set(YAF_CXX_FLAGS_DEBUG "-ggdb")
		endif(USER_DEBUG_OPTIMIZATION_FLAGS)

	else(MINGW)
		set(CMAKE_CXX_FLAGS "/DWIN32 /D_WIN32 /D_USE_MATH_DEFINES /DNOMINMAX /EHsc /MD /nologo" CACHE STRING "Default compiler flags" FORCE)

		if(USER_RELEASE_OPTIMIZATION_FLAGS)
			set(YAF_CXX_FLAGS_RELEASE ${USER_RELEASE_OPTIMIZATION_FLAGS})
		else(USER_RELEASE_OPTIMIZATION_FLAGS)
			set(YAF_CXX_FLAGS_RELEASE "/Ot /Ox")
		endif(USER_RELEASE_OPTIMIZATION_FLAGS)
		
		if(USER_DEBUG_OPTIMIZATION_FLAGS)
			set(YAF_CXX_FLAGS_DEBUG ${USER_DEBUG_OPTIMIZATION_FLAGS})
		else(USER_DEBUG_OPTIMIZATION_FLAGS)
			set(YAF_CXX_FLAGS_DEBUG "/Zi /GS /RTC1")
		endif(USER_DEBUG_OPTIMIZATION_FLAGS)

	endif(MINGW)
	set(YAF_TARGET_TYPE ARCHIVE DESTINATION ${CMAKE_INSTALL_PREFIX}/linklibs RUNTIME)
endif(NOT WIN32)

if(USER_RELEASE_EXTRA_FLAGS)
	set(YAF_CXX_FLAGS_RELEASE "${YAF_CXX_FLAGS_RELEASE} ${USER_RELEASE_EXTRA_FLAGS}")
endif(USER_RELEASE_EXTRA_FLAGS)

if(USER_DEBUG_EXTRA_FLAGS)
	set(YAF_CXX_FLAGS_DEBUG "${YAF_CXX_FLAGS_DEBUG} ${USER_DEBUG_EXTRA_FLAGS}")
endif(USER_DEBUG_EXTRA_FLAGS)

if(YAF_USER_EXTRA_DEFS)
	add_definitions(${YAF_USER_EXTRA_DEFS})
endif(YAF_USER_EXTRA_DEFS)

if (BUILDRELEASE)
	add_definitions(-DRELEASE)
endif (BUILDRELEASE)

# Paths and flags configuration

if(NOT WIN32)
	if(NOT YAF_PLUGIN_DIR)
		set(YAF_PLUGIN_DIR ${YAF_LIB_DIR}/yafaray)
	endif(NOT YAF_PLUGIN_DIR)
else(NOT WIN32)
	if(NOT YAF_PLUGIN_DIR)
		set(YAF_PLUGIN_DIR ${YAF_LIB_DIR}/plugins)
	endif(NOT YAF_PLUGIN_DIR)
endif(NOT WIN32)

if (USER_RELFLAGS)
	set(CMAKE_CXX_FLAGS_RELEASE "${YAF_CXX_FLAGS_RELEASE} ${USER_RELFLAGS}" CACHE STRING "Release compiler flags" FORCE)
else (USER_RELFLAGS)
	set(CMAKE_CXX_FLAGS_RELEASE "${YAF_CXX_FLAGS_RELEASE}" CACHE STRING "Release compiler flags" FORCE)
endif (USER_RELFLAGS)

if (USER_DBGFLAGS)
	set(CMAKE_CXX_FLAGS_DEBUG "${YAF_CXX_FLAGS_DEBUG} ${USER_DEBUG}" CACHE STRING "Debug compiler flags" FORCE)
else (USER_DBGFLAGS)
	set(CMAKE_CXX_FLAGS_DEBUG "${YAF_CXX_FLAGS_DEBUG}" CACHE STRING "Debug compiler flags" FORCE)
endif (USER_DBGFLAGS)

# Adding subdirectories

add_subdirectory(src)

# Generating config headers

include(CMakeConfig/GenConfHeaders.txt)

=== src/materials/CMakeLists.txt ===
include_directories(${YAF_INCLUDE_DIRS})

add_definitions(-DBUILDING_YAFRAYPLUGIN)

add_library(glass SHARED glass.cc)
target_link_libraries(glass yafaraycore)

add_library(roughglass SHARED roughglass.cc)
target_link_libraries(roughglass yafaraycore)

add_library(blendermat SHARED blendmat.cc)
target_link_libraries(blendermat yafaraycore)

add_library(glossymat SHARED glossy_mat.cc)
target_link_libraries(glossymat yafaraycore)

add_library(shinydiffuse SHARED shinydiff.cc)
target_link_libraries(shinydiffuse yafaraycore)

add_library(coatedglossy SHARED coatedglossy.cc)
target_link_libraries(coatedglossy yafaraycore)

add_library(simplemats SHARED simplemats.cc maskmat.cc)
target_link_libraries(simplemats yafaraycore)

add_library(volumetrics SHARED beer.cc)
target_link_libraries(volumetrics yafaraycore)

install (TARGETS glass roughglass blendermat glossymat shinydiffuse coatedglossy simplemats volumetrics
		${YAF_TARGET_TYPE} DESTINATION ${YAF_PLUGIN_DIR})

=== debian/changelog ===
yafaray (0.1.2~beta2-1) unstable; urgency=low

  * Initial release (Closes: #638653)

 -- Matteo F. Vescovi <m.vescovi@revese.it>  Sun, 21 Aug 2011 19:00:00 +0200

=== debian/rules ===
#!/usr/bin/make -f
export DH_OPTIONS

INSTDIR=debian/tmp
PY3VERS=$(shell py3versions -drv debian/control)

%:
	dh $@ --buildsystem=cmake --builddirectory=build --with python3

override_dh_auto_configure:
	dh_auto_configure -- \
		-DCMAKE_INSTALL_PREFIX=/usr \
		-DCMAKE_LIBRARY_PATH=/usr/lib/yafaray \
		-DCMAKE_INSTALL_RPATH=/usr/lib/yafaray/bin \
		-DCMAKE_BUILD_TYPE=RELEASE \
		-DWITH_QT=OFF \
		-DYAF_PY_VERSION=$(PY3VERS)

override_dh_auto_install:
	dh_auto_install --buildsystem=cmake --destdir=$(INSTDIR)

override_dh_install:
	mkdir -p debian/yafaray/usr/lib/yafaray/bin
	cp -rf $(INSTDIR)/$(CURDIR)/bindings/python/* \
		debian/yafaray/usr/lib/yafaray/bin
	dh_install

override_dh_pysupport:

=== debian/watch ===
version=3
http://yafaray.org/sources/YafaRay.(.*).zip

## yafaray 0.1.2~beta2.1

=== debian/changelog ===
yafaray (0.1.2~beta2.1-1) unstable; urgency=low

  * New upstream git snapshot release (commit ecab381, November 2011)
  * [62619ea] debian/rules: removing useless cmake parameter
  * [1d07b97] debian/rules: simplifying libs structure.
  * [0528340] debian/yafaray.install: adjusting lib paths.
  * [0ce2e7f] debian/yafaray.links: adjusting lib paths.
    Thanks to Pino Toscano (pino) for helping on these last 3 commits
  * [37e39a5] debian/control: removing useless autotools-dev from b-deps
  * [be1f8e4] debian/control: Recommends field updated
  * [72ba86e] debian/control: Uploaders field updated
  * [18aafd2] debian/control: uploader's email address changed
  * [c4d519f] debian/watch: path to sources updated

 -- Matteo F. Vescovi <mfv.debian@gmail.com>  Mon, 02 Jan 2012 15:20:37 +0100

=== debian/control ===
Source: yafaray
Section: graphics
Priority: optional
Maintainer: Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
Uploaders: Alessio Treglia <alessio@debian.org>,
           Matteo F. Vescovi <mfv.debian@gmail.com>
Build-Depends: cmake,
               debhelper (>= 8),
               libfreetype6-dev,
               libjpeg8-dev,
               libopenexr-dev,
               libpng12-dev,
               libtiff-dev,
               libxml2-dev,
               python3-all-dev,
               swig,
               zlib1g-dev
X-Python3-Version: >= 3.2
Standards-Version: 3.9.2
Homepage: http://www.yafaray.org
Vcs-Git: git://anonscm.debian.org/pkg-multimedia/yafaray.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-multimedia/yafaray.git

Package: yafaray
Architecture: any
Depends: ${misc:Depends},
         ${python3:Depends},
         ${shlibs:Depends}
Recommends: blender (>= 2.59)
Description: modern, xml-speaking raytracing-based rendering system
 YafaRay is an advanced raytracing rendering system with many modern features
 including full radiosity and High Dynamic Range Imaging (HDRI) for scene
 lighting. It reads a simple XML-based scene definition file and can be used
 as a renderer for Blender (2.5 version and above).

=== debian/watch ===
#version=3
#http://static.yafaray.org/sources/YafaRay.(.*).zip

## yafaray 0.1.2%7ebeta2

=== debian/control ===
--- 
+++ 
@@ -2,9 +2,9 @@
 Section: graphics
 Priority: optional
 Maintainer: Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
-Uploaders: Alessio Treglia <alessio@debian.org>,
-           Matteo F. Vescovi <mfv.debian@gmail.com>
-Build-Depends: cmake,
+Uploaders: Matteo F. Vescovi <m.vescovi@revese.it>
+Build-Depends: autotools-dev,
+               cmake,
                debhelper (>= 8),
                libfreetype6-dev,
                libjpeg8-dev,
@@ -26,7 +26,7 @@
 Depends: ${misc:Depends},
          ${python3:Depends},
          ${shlibs:Depends}
-Recommends: blender (>= 2.59)
+Recommends: blender
 Description: modern, xml-speaking raytracing-based rendering system
  YafaRay is an advanced raytracing rendering system with many modern features
  including full radiosity and High Dynamic Range Imaging (HDRI) for scene

## yafaray 0.1.2+really0.1.2~beta5

=== CMakeLists.txt ===
--- 
+++ 
@@ -33,6 +33,10 @@
 	include(${CMAKE_SOURCE_DIR}/UserConfig.txt OPTIONAL)
 endif(NOT YAF_USER_CONFIG)
 
+# Load the packaging config
+include(CMakeConfig/CPackConfig.txt)
+
+
 if(NOT YAF_MIN_RAY_DIST)
 	set(YAF_MIN_RAY_DIST 0.00005)
 endif(NOT YAF_MIN_RAY_DIST)
@@ -296,3 +300,4 @@
 
 include(CMakeConfig/GenConfHeaders.txt)
 
+include(CPack)

=== src/bindings/CMakeLists.txt ===
#check for swig if needed

IF (WITH_YAF_PY_BINDINGS OR WITH_YAF_RUBY_BINDINGS)
	
	FIND_PACKAGE(YafSWIG REQUIRED)
	
	IF(YAF_PY_VERSION GREATER 3.1)
		SET(YAF_SWIG_MIN_VERSION 2.0.0)
	ELSE(YAF_PY_VERSION GREATER 3.1)
		SET(YAF_SWIG_MIN_VERSION 1.3.36)
	ENDIF(YAF_PY_VERSION GREATER 3.1)
	
	IF(NOT SWIG_FOUND)
		MESSAGE("Swig not found, please install it to build script bindings")
		SET(WITH_YAF_PY_BINDINGS OFF)
		SET(WITH_YAF_RUBY_BINDINGS OFF)
	ELSE(NOT SWIG_FOUND)
		IF(SWIG_VERSION VERSION_LESS ${YAF_SWIG_MIN_VERSION})
			IF(YAF_PY_VERSION GREATER 3.1)
				message("Swig version < ${YAF_SWIG_MIN_VERSION}, to build with Python 3.2 you need an adecuately patched version of swig. Please set the path to your patched swig version in your UserConfig.txt file on the YAF_USER_SWIG_BIN_DIR variable. The patches required can be found on the SupportFiles folder on yafaray's source path.'")
			ELSE(YAF_PY_VERSION GREATER 3.1)
				message("Swig version < ${YAF_SWIG_MIN_VERSION}, please update or bindings can't be built")
			ENDIF(YAF_PY_VERSION GREATER 3.1)
			set(WITH_YAF_PY_BINDINGS OFF)
			set(WITH_YAF_RUBY_BINDINGS OFF)
		ENDIF(SWIG_VERSION VERSION_LESS ${YAF_SWIG_MIN_VERSION})
	ENDIF(NOT SWIG_FOUND)
	
	INCLUDE(${SWIG_USE_FILE})
ENDIF (WITH_YAF_PY_BINDINGS OR WITH_YAF_RUBY_BINDINGS)

# Python bindings 

IF (WITH_YAF_PY_BINDINGS)
	
	IF(YAF_PY_VERSION)
		set(REQUIRED_PYTHON_VERSION ${YAF_PY_VERSION})
	ELSE(YAF_PY_VERSION)
		set(REQUIRED_PYTHON_VERSION 2.6)
	endif(YAF_PY_VERSION)
	
	MESSAGE("Searching for Python ${REQUIRED_PYTHON_VERSION}")
	find_package(YafPythonLibs REQUIRED)
	
	if (NOT PYTHON_LIBRARIES)
		message("Python wasn't found, please install it to build python bindings")
		set(WITH_YAF_PY_BINDINGS OFF)
	else (NOT PYTHON_LIBRARIES)
		message("Python ${REQUIRED_PYTHON_VERSION} found at: ${PYTHON_LIBRARIES}")
	endif (NOT PYTHON_LIBRARIES)
	
endif (WITH_YAF_PY_BINDINGS)

# Ruby bindings

if (WITH_YAF_RUBY_BINDINGS)
	
	find_package(Ruby 1.8 REQUIRED)
	
	message("Ruby version found: ${RUBY_VERSION}")
	message("Ruby headers at: ${RUBY_INCLUDE_DIR}")
	message("Ruby library at: ${RUBY_LIBRARY}")

	if (NOT SWIG_FOUND OR NOT RUBY_FOUND)
		set(WITH_YAF_RUBY_BINDINGS OFF)
	endif (NOT SWIG_FOUND OR NOT RUBY_FOUND)
	
endif (WITH_YAF_RUBY_BINDINGS)


if (WITH_YAF_PY_BINDINGS)
	
	if(NOT WIN32)

		if(NOT YAF_BINDINGS_PY_DIR)
			set(YAF_BINDINGS_PY_DIR ${CMAKE_SOURCE_DIR}/bindings/python)
		endif(NOT YAF_BINDINGS_PY_DIR)
		
	else(NOT WIN32)

		if(NOT YAF_BINDINGS_PY_DIR)
			set(YAF_BINDINGS_PY_DIR ${YAF_BIN_DIR}/python)
		endif(NOT YAF_BINDINGS_PY_DIR)

	endif(NOT WIN32)
	
	message("Python header path: ${PYTHON_INCLUDE_DIR}")
	include_directories(${YAF_INCLUDE_DIRS} ${PYTHON_INCLUDE_DIR})
	include(${SWIG_USE_FILE})

	if(YAF_PY_VERSION GREATER 3)
		set(CMAKE_SWIG_FLAGS -c++ -py3)
	else(YAF_PY_VERSION GREATER 3)
		set(CMAKE_SWIG_FLAGS -c++)
	endif(YAF_PY_VERSION GREATER 3)

	set_source_files_properties(yafrayinterface.i PROPERTIES CPLUSPLUS ON)

	if(WITH_QT)
		set_source_files_properties(yafqt.i PROPERTIES CPLUSPLUS ON)
	endif(WITH_QT)

	SWIG_ADD_MODULE(yafrayinterface PYTHON yafrayinterface.i)

	if(APPLE) # use dynamic lookup for helping dlopen to find symbols properly - Jens
		SET_TARGET_PROPERTIES(${SWIG_MODULE_yafrayinterface_REAL_NAME} PROPERTIES LINK_FLAGS "-undefined dynamic_lookup")
	endif(APPLE)
	if(WITH_QT)
		SWIG_ADD_MODULE(yafqt PYTHON yafqt.i)
	if(APPLE) # use dynamic lookup for helping dlopen to find symbols properly - Jens
		SET_TARGET_PROPERTIES(${SWIG_MODULE_yafqt_REAL_NAME} PROPERTIES LINK_FLAGS "-undefined dynamic_lookup")
	endif(APPLE)

	endif(WITH_QT)

	SWIG_LINK_LIBRARIES(yafrayinterface yafaraycore yafarayplugin ${PYTHON_LIBRARIES})

	if(WITH_QT)
		SWIG_LINK_LIBRARIES(yafqt yafarayqt ${PYTHON_LIBRARIES})
	endif(WITH_QT)

if(APPLE) # set rpath - Jens
	add_custom_command(TARGET ${SWIG_MODULE_yafrayinterface_REAL_NAME} POST_BUILD COMMAND install_name_tool -add_rpath @loader_path/ _yafrayinterface.so)
endif(APPLE)

	install(TARGETS ${SWIG_MODULE_yafrayinterface_REAL_NAME} DESTINATION ${YAF_BINDINGS_PY_DIR})
	install(FILES ${CMAKE_CURRENT_BINARY_DIR}/yafrayinterface.py DESTINATION ${YAF_BINDINGS_PY_DIR})

	if(WITH_QT)
		install(TARGETS ${SWIG_MODULE_yafqt_REAL_NAME} DESTINATION ${YAF_BINDINGS_PY_DIR})
		install(FILES ${CMAKE_CURRENT_BINARY_DIR}/yafqt.py DESTINATION ${YAF_BINDINGS_PY_DIR})
	endif(WITH_QT)

endif (WITH_YAF_PY_BINDINGS)

if (WITH_YAF_RUBY_BINDINGS)
	
	if(NOT WIN32)

		if(NOT YAF_BINDINGS_RUBY_DIR)
			set(YAF_BINDINGS_RUBY_DIR ${CMAKE_SOURCE_DIR}/bindings/ruby)
		endif(NOT YAF_BINDINGS_RUBY_DIR)
		
	else(NOT WIN32)

		if(NOT YAF_BINDINGS_RUBY_DIR)
			set(YAF_BINDINGS_RUBY_DIR ${YAF_BIN_DIR}/ruby)
		endif(NOT YAF_BINDINGS_RUBY_DIR)

	endif(NOT WIN32)

	include_directories(${YAF_INCLUDE_DIRS} ${RUBY_INCLUDE_DIR})
	include(${SWIG_USE_FILE})

	set(CMAKE_SWIG_FLAGS -c++ -w-801)

	set_source_files_properties(yafrayinterface.i PROPERTIES CPLUSPLUS ON)
	SWIG_ADD_MODULE(yafrayinterface RUBY yafrayinterface.i)
	SWIG_LINK_LIBRARIES(yafrayinterface yafaraycore yafarayplugin ${RUBY_LIBRARY})
	install(TARGETS ${SWIG_MODULE_yafrayinterface_REAL_NAME} DESTINATION ${YAF_BINDINGS_RUBY_DIR})

	if(WITH_QT)
		set_source_files_properties(yafqt.i PROPERTIES CPLUSPLUS ON)
		SWIG_ADD_MODULE(yafqt RUBY yafqt.i)
		SWIG_LINK_LIBRARIES(yafqt yafarayqt ${RUBY_LIBRARY})
		install(TARGETS ${SWIG_MODULE_yafqt_REAL_NAME} DESTINATION ${YAF_BINDINGS_RUBY_DIR})
	endif(WITH_QT)

endif (WITH_YAF_RUBY_BINDINGS)

=== src/yafraycore/CMakeLists.txt ===
include_directories(${YAF_INCLUDE_DIRS} ${LIBXML2_INCLUDE_DIR} ${OPENEXR_INCLUDE_DIRS}
                    ${FREETYPE_INCLUDE_DIRS})
set(YF_CORE_SOURCES bound.cc yafsystem.cc environment.cc console.cc color_console.cc
					console_verbosity.cc faure_tables.cc std_primitives.cc color.cc
					matrix4.cc object3d.cc timer.cc kdtree.cc ray_kdtree.cc hashgrid.cc tribox3_d.cc
					triclip.cc scene.cc imagefilm.cc imagesplitter.cc material.cc nodematerial.cc
					triangle.cc vector3d.cc photon.cc xmlparser.cc spectrum.cc volume.cc
					surface.cc integrator.cc mcintegrator.cc ccthreads.cc
					imageOutput.cc memoryIO.cc)

add_definitions(-DBUILDING_YAFRAYCORE)

add_library(yafaraycore SHARED ${YF_CORE_SOURCES})

if (UNIX)
	set (DLLOAD_LIB "dl" )
else (UNIX)
	set (DLLOAD_LIB "")
endif (UNIX)

if(APPLE) # set rpath - Jens
	add_custom_command(TARGET yafaraycore POST_BUILD COMMAND install_name_tool -add_rpath @loader_path/ libyafaraycore.dylib)
endif(APPLE)

target_link_libraries(yafaraycore ${CMAKE_THREAD_LIBS_INIT} ${DLLOAD_LIB} ${OPENEXR_LIBRARIES} ${LIBXML2_LIBRARIES} ${FREETYPE_LIBRARIES})

install (TARGETS yafaraycore ${YAF_TARGET_TYPE} DESTINATION ${YAF_LIB_DIR})

=== debian/changelog ===
yafaray (0.1.2+really0.1.2~beta5-2) unstable; urgency=low

  [ Alessio Treglia ]
  * Set DMUA to yes.

  [ Matteo F. Vescovi ]
  * debian/watch: uscan path updated

 -- Matteo F. Vescovi <mfv.debian@gmail.com>  Fri, 22 Jun 2012 11:32:51 +0200

yafaray (0.1.2+really0.1.2~beta5-1) unstable; urgency=low

  * New upstream beta release.
    A misunderstanding with upstream brought to think that
    a snapshot release was the stable release, while it wasn't.
    Now trying to fix version numbering.
  * debian/patches/:
    + old #0001 dropped since applied upstream
    + new #0001 added to fix FTBFS on ARM.
      Thanks to Michele Castigliego for upstream support (Closes: #654625)
    + #0002 added to disable FAST_MATH optimization

 -- Matteo F. Vescovi <mfv.debian@gmail.com>  Wed, 23 May 2012 17:48:05 +0200

yafaray (0.1.2-2) unstable; urgency=low

  * debian/patches/: #0001 added to fix FTBFS with gcc-4.7.
    Thanks to Cyril Brulebois (KiBi) for the patch (Closes: #667426)

 -- Matteo F. Vescovi <mfv.debian@gmail.com>  Wed, 04 Apr 2012 16:59:31 +0200

yafaray (0.1.2-1) unstable; urgency=low

  * New upstream stable release
  * debian/control: b-deps libpng12-dev => libpng-dev (Closes: #662572)
  * debian/control: Standards-Version bumped to 3.9.3

 -- Matteo F. Vescovi <mfv.debian@gmail.com>  Fri, 30 Mar 2012 16:37:15 +0200

=== debian/control ===
Source: yafaray
Section: graphics
Priority: optional
Maintainer: Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
Uploaders: Alessio Treglia <alessio@debian.org>,
           Matteo F. Vescovi <mfv.debian@gmail.com>
Build-Depends: cmake,
               debhelper (>= 8),
               libfreetype6-dev,
               libjpeg8-dev,
               libopenexr-dev,
               libpng-dev,
               libtiff-dev,
               libxml2-dev,
               python3-all-dev,
               swig,
               zlib1g-dev
X-Python3-Version: >= 3.2
DM-Upload-Allowed: yes
Standards-Version: 3.9.3
Homepage: http://www.yafaray.org
Vcs-Git: git://anonscm.debian.org/pkg-multimedia/yafaray.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-multimedia/yafaray.git

Package: yafaray
Architecture: any
Depends: ${misc:Depends},
         ${python3:Depends},
         ${shlibs:Depends}
Recommends: blender (>= 2.59)
Description: modern, xml-speaking raytracing-based rendering system
 YafaRay is an advanced raytracing rendering system with many modern features
 including full radiosity and High Dynamic Range Imaging (HDRI) for scene
 lighting. It reads a simple XML-based scene definition file and can be used
 as a renderer for Blender (2.5 version and above).

=== debian/rules ===
#!/usr/bin/make -f
export DH_OPTIONS

INSTDIR=debian/tmp
PY3VERS=$(shell py3versions -drv debian/control)

%:
	dh $@ --buildsystem=cmake --builddirectory=build --with python3

override_dh_auto_configure:
	dh_auto_configure -- \
		-DYAF_LIB_DIR="lib/yafaray" \
		-DCMAKE_INSTALL_RPATH=/usr/lib/yafaray \
		-DCMAKE_BUILD_TYPE=Release \
		-DWITH_QT=OFF \
		-DYAF_PY_VERSION=$(PY3VERS)

override_dh_auto_install:
	dh_auto_install --buildsystem=cmake --destdir=$(INSTDIR)

override_dh_install:
	dh_install
	cp -rf $(INSTDIR)/$(CURDIR)/bindings/python/* \
		debian/yafaray/usr/lib/yafaray

override_dh_pysupport:

=== debian/watch ===
version=3
http://githubredir.debian.net/github/YafaRay/Core/ (.+)\.(?:zip|tar\.gz|tar\.bz2)

## yafaray 0.1.5

=== CMakeLists.txt ===
--- 
+++ 
@@ -20,6 +20,8 @@
 option(BUILDRELEASE "Enable release mode building of YafaRay" OFF)
 option(DEBUG_BUILD "Enable debug build mode" OFF)
 option(EMBED_FONT_QT "Embed font for QT GUI (usefull for some buggy QT installations)" OFF)
+option(FAST_MATH "Enable mathematic approximations to make code faster" ON)
+option(FAST_TRIG "Enable trigonometric approximations to make code faster" ON)
 
 ###### Packages and Definitions #########
 
@@ -287,12 +289,23 @@
 endif (USER_RELFLAGS)
 
 if (USER_DBGFLAGS)
-	set(CMAKE_CXX_FLAGS_DEBUG "${YAF_CXX_FLAGS_DEBUG} ${USER_DEBUG}" CACHE STRING "Debug compiler flags" FORCE)
+	set(CMAKE_CXX_FLAGS_DEBUG "${YAF_CXX_FLAGS_DEBUG} ${USER_DBGFLAGS}" CACHE STRING "Debug compiler flags" FORCE)
 else (USER_DBGFLAGS)
 	set(CMAKE_CXX_FLAGS_DEBUG "${YAF_CXX_FLAGS_DEBUG}" CACHE STRING "Debug compiler flags" FORCE)
 endif (USER_DBGFLAGS)
 
+# Code speedup due mathematical approximations
+if (FAST_MATH)
+	add_definitions(-DFAST_MATH)
+endif (FAST_MATH)
+
+if (FAST_TRIG)
+	add_definitions(-DFAST_TRIG)
+endif (FAST_TRIG)
+
 # Adding subdirectories
+set(dir include)
+file (GLOB_RECURSE headers "${dir}/*.h")
 
 add_subdirectory(src)

=== src/CMakeLists.txt ===
add_subdirectory(yafraycore)
add_subdirectory(backgrounds)
add_subdirectory(cameras)
add_subdirectory(image_handlers)
add_subdirectory(integrators)
add_subdirectory(interface)
add_subdirectory(lights)
add_subdirectory(materials)
add_subdirectory(textures)
add_subdirectory(volumes)

if(WITH_XML_LOADER)
	add_subdirectory(xml_loader)
endif(WITH_XML_LOADER)

if(WITH_QT)
	add_subdirectory(gui)
endif(WITH_QT)

add_subdirectory(bindings)

=== src/backgrounds/CMakeLists.txt ===
include_directories(${YAF_INCLUDE_DIRS})

add_definitions(-DBUILDING_YAFRAYPLUGIN)

add_library(sunsky SHARED sunsky.cc sunspectrum.cc)
target_link_libraries(sunsky yafaraycore)

add_library(textureback SHARED textureback.cc)
target_link_libraries(textureback yafaraycore)

add_library(gradientback SHARED gradientback.cc)
target_link_libraries(gradientback yafaraycore)

add_library(SunSky2 SHARED darksky.cc)
target_link_libraries(SunSky2 yafaraycore)

install (TARGETS gradientback textureback sunsky SunSky2 ${YAF_TARGET_TYPE} DESTINATION ${YAF_PLUGIN_DIR})

=== src/bindings/CMakeLists.txt ===
--- 
+++ 
@@ -5,7 +5,7 @@
 	FIND_PACKAGE(YafSWIG REQUIRED)
 	
 	IF(YAF_PY_VERSION GREATER 3.1)
-		SET(YAF_SWIG_MIN_VERSION 2.0.0)
+		SET(YAF_SWIG_MIN_VERSION 2.0.4)
 	ELSE(YAF_PY_VERSION GREATER 3.1)
 		SET(YAF_SWIG_MIN_VERSION 1.3.36)
 	ENDIF(YAF_PY_VERSION GREATER 3.1)
@@ -73,7 +73,7 @@
 	if(NOT WIN32)
 
 		if(NOT YAF_BINDINGS_PY_DIR)
-			set(YAF_BINDINGS_PY_DIR ${CMAKE_SOURCE_DIR}/bindings/python)
+			set(YAF_BINDINGS_PY_DIR ${CMAKE_BINARY_DIR}/bindings/python)
 		endif(NOT YAF_BINDINGS_PY_DIR)
 		
 	else(NOT WIN32)
@@ -105,11 +105,12 @@
 	if(APPLE) # use dynamic lookup for helping dlopen to find symbols properly - Jens
 		SET_TARGET_PROPERTIES(${SWIG_MODULE_yafrayinterface_REAL_NAME} PROPERTIES LINK_FLAGS "-undefined dynamic_lookup")
 	endif(APPLE)
+	
 	if(WITH_QT)
 		SWIG_ADD_MODULE(yafqt PYTHON yafqt.i)
-	if(APPLE) # use dynamic lookup for helping dlopen to find symbols properly - Jens
-		SET_TARGET_PROPERTIES(${SWIG_MODULE_yafqt_REAL_NAME} PROPERTIES LINK_FLAGS "-undefined dynamic_lookup")
-	endif(APPLE)
+		if(APPLE) # use dynamic lookup for helping dlopen to find symbols properly - Jens
+			SET_TARGET_PROPERTIES(${SWIG_MODULE_yafqt_REAL_NAME} PROPERTIES LINK_FLAGS "-undefined dynamic_lookup")
+		endif(APPLE)
 
 	endif(WITH_QT)
 
@@ -138,7 +139,7 @@
 	if(NOT WIN32)
 
 		if(NOT YAF_BINDINGS_RUBY_DIR)
-			set(YAF_BINDINGS_RUBY_DIR ${CMAKE_SOURCE_DIR}/bindings/ruby)
+			set(YAF_BINDINGS_RUBY_DIR ${CMAKE_BINARY_DIR}/bindings/ruby)
 		endif(NOT YAF_BINDINGS_RUBY_DIR)
 		
 	else(NOT WIN32)

=== src/cameras/CMakeLists.txt ===
include_directories(${YAF_INCLUDE_DIRS})

add_definitions(-DBUILDING_YAFRAYPLUGIN)

add_library(perspectiveCamera SHARED perspectiveCamera.cc architectCamera.cc)
target_link_libraries(perspectiveCamera yafaraycore)

add_library(orthographicCamera SHARED orthographicCamera.cc)
target_link_libraries(orthographicCamera yafaraycore)

add_library(angularCamera SHARED angularCamera.cc)
target_link_libraries(angularCamera yafaraycore)

install (TARGETS perspectiveCamera orthographicCamera angularCamera ${YAF_TARGET_TYPE} DESTINATION ${YAF_PLUGIN_DIR})

=== src/gui/CMakeLists.txt ===
include_directories(${YAF_INCLUDE_DIRS} ${CMAKE_CURRENT_SOURCE_DIR} ${CMAKE_CURRENT_BINARY_DIR} ${QT_QTCORE_INCLUDE_DIR} ${QT_QTGUI_INCLUDE_DIR})

if (EMBED_FONT_QT)
	add_definitions(-DYAFQT_EMBEDED_FONT)
endif (EMBED_FONT_QT)

add_definitions(-DBUILDING_QTPLUGIN)

set(YAF_QT_CC animworking.cc events.cc mywindow.cc qtoutput.cc qtprogress.cc renderwidget.cc worker.cc)
set(YAF_QT_H_4_MOC animworking.h mywindow.h renderwidget.h worker.h)
set(YAF_QT_UI windowbase.ui)

QT4_WRAP_CPP(YAF_QT_MOC_CC ${YAF_QT_H_4_MOC})
QT4_WRAP_UI(YAF_QT_UI_H ${YAF_QT_UI})

add_library(yafarayqt SHARED ${YAF_QT_CC} ${YAF_QT_MOC_CC} ${YAF_QT_UI_H})
target_link_libraries(yafarayqt ${QT_QTCORE_LIBRARY} ${QT_QTGUI_LIBRARY} yafaraycore)
install (TARGETS yafarayqt ${YAF_TARGET_TYPE} DESTINATION ${YAF_LIB_DIR})

=== src/image_handlers/CMakeLists.txt ===
include_directories(${YAF_INCLUDE_DIRS} ${ZLIB_INCLUDE_DIR})

if(WITH_OpenEXR)
	include_directories(${OPENEXR_INCLUDE_DIRS})
endif(WITH_OpenEXR)

if(WITH_JPEG)
	include_directories(${JPEG_INCLUDE_DIR})
endif(WITH_JPEG)

if(WITH_PNG)
	include_directories(${PNG_INCLUDE_DIR})
endif(WITH_PNG)

if(WITH_TIFF)
	include_directories(${TIFF_INCLUDE_DIR})
endif(WITH_TIFF)

add_definitions(-DBUILDING_YAFRAYPLUGIN)

if(WITH_OpenEXR)
add_library(exrHandler SHARED exrHandler.cc)
target_link_libraries(exrHandler yafaraycore ${OPENEXR_LIBRARIES})
endif(WITH_OpenEXR)

if(WITH_JPEG)
add_library(jpgHandler SHARED jpgHandler.cc)
target_link_libraries(jpgHandler yafaraycore ${JPEG_LIBRARY})
endif(WITH_JPEG)

if(WITH_PNG)
add_library(pngHandler SHARED pngHandler.cc)
target_link_libraries(pngHandler yafaraycore ${PNG_LIBRARIES})
endif(WITH_PNG)

if(WITH_TIFF)
add_library(tifHandler SHARED tifHandler.cc)
target_link_libraries(tifHandler yafaraycore ${TIFF_LIBRARY})
endif(WITH_TIFF)

add_library(tgaHandler SHARED tgaHandler.cc)
target_link_libraries(tgaHandler yafaraycore)

add_library(hdrHandler SHARED hdrHandler.cc)
target_link_libraries(hdrHandler yafaraycore)

if(WITH_OpenEXR)
	install (TARGETS exrHandler ${YAF_TARGET_TYPE} DESTINATION ${YAF_PLUGIN_DIR})
endif(WITH_OpenEXR)

if(WITH_JPEG)
	install (TARGETS jpgHandler ${YAF_TARGET_TYPE} DESTINATION ${YAF_PLUGIN_DIR})
endif(WITH_JPEG)

if(WITH_PNG)
	install (TARGETS pngHandler ${YAF_TARGET_TYPE} DESTINATION ${YAF_PLUGIN_DIR})
endif(WITH_PNG)

if(WITH_TIFF)
	install (TARGETS tifHandler ${YAF_TARGET_TYPE} DESTINATION ${YAF_PLUGIN_DIR})
endif(WITH_TIFF)

install (TARGETS tgaHandler hdrHandler ${YAF_TARGET_TYPE} DESTINATION ${YAF_PLUGIN_DIR})

=== src/integrators/CMakeLists.txt ===
include_directories(${YAF_INCLUDE_DIRS})

add_definitions(-DBUILDING_YAFRAYPLUGIN)

add_library(directlight SHARED directlight.cc)
target_link_libraries(directlight yafaraycore)

add_library(photonmap SHARED photonintegr.cc)
target_link_libraries(photonmap yafaraycore)

add_library(pathtrace SHARED pathtracer.cc)
target_link_libraries(pathtrace yafaraycore)

add_library(bidirpath SHARED bidirpath.cc)
target_link_libraries(bidirpath yafaraycore)

add_library(EmissionIntegrator SHARED EmissionIntegrator.cc)
target_link_libraries(EmissionIntegrator yafaraycore)

add_library(SingleScatterIntegrator SHARED SingleScatterIntegrator.cc)
target_link_libraries(SingleScatterIntegrator yafaraycore)

add_library(EmptyVolumeIntegrator SHARED EmptyVolumeIntegrator.cc)
target_link_libraries(EmptyVolumeIntegrator yafaraycore)

add_library(DebugIntegrator SHARED DebugIntegrator.cc)
target_link_libraries(DebugIntegrator yafaraycore)

add_library(SkyIntegrator SHARED SkyIntegrator.cc)
target_link_libraries(SkyIntegrator yafaraycore)

add_library(sppm SHARED sppm.cc)
target_link_libraries(sppm yafaraycore)

install (TARGETS directlight photonmap pathtrace bidirpath sppm
		EmissionIntegrator SingleScatterIntegrator EmptyVolumeIntegrator DebugIntegrator SkyIntegrator
		${YAF_TARGET_TYPE} DESTINATION ${YAF_PLUGIN_DIR})

=== src/interface/CMakeLists.txt ===
include_directories(${YAF_INCLUDE_DIRS} ${LIBXML2_INCLUDE_DIR})

add_definitions(-DBUILDING_YAFRAYPLUGIN)

add_library(yafarayplugin SHARED yafrayinterface.cc xmlinterface.cc)
target_link_libraries(yafarayplugin yafaraycore ${LIBXML2_LIBRARY})

if(APPLE) # set rpath - Jens
	add_custom_command(TARGET yafarayplugin POST_BUILD COMMAND install_name_tool -add_rpath @loader_path/ libyafarayplugin.dylib)
endif(APPLE)

install (TARGETS yafarayplugin ${YAF_TARGET_TYPE} DESTINATION ${YAF_LIB_DIR})

=== src/lights/CMakeLists.txt ===
include_directories(${YAF_INCLUDE_DIRS})

add_definitions(-DBUILDING_YAFRAYPLUGIN)

add_library(sunlight SHARED sunlight.cc)
target_link_libraries(sunlight yafaraycore)

add_library(pointlight SHARED pointlight.cc)
target_link_libraries(pointlight yafaraycore)

add_library(directional SHARED directional.cc)
target_link_libraries(directional yafaraycore)

add_library(spotlight SHARED spotlight.cc)
target_link_libraries(spotlight yafaraycore)

add_library(arealight SHARED arealight.cc meshlight.cc bgportallight.cc)
target_link_libraries(arealight yafaraycore)

add_library(spherelight SHARED spherelight.cc)
target_link_libraries(spherelight yafaraycore)

add_library(ieslight SHARED iesLight.cc)
target_link_libraries(ieslight yafaraycore)

add_library(bglight SHARED bglight.cc)
target_link_libraries(bglight yafaraycore)

install (TARGETS sunlight pointlight directional spotlight arealight spherelight ieslight bglight
		${YAF_TARGET_TYPE} DESTINATION ${YAF_PLUGIN_DIR})

=== src/materials/CMakeLists.txt ===
include_directories(${YAF_INCLUDE_DIRS})

add_definitions(-DBUILDING_YAFRAYPLUGIN)

add_library(glass SHARED glass.cc)
target_link_libraries(glass yafaraycore)

add_library(roughglass SHARED roughglass.cc)
target_link_libraries(roughglass yafaraycore)

add_library(blend SHARED blend.cc)
target_link_libraries(blend yafaraycore)

add_library(glossy SHARED glossy.cc)
target_link_libraries(glossy yafaraycore)

add_library(glossy2 SHARED glossy2.cc)
target_link_libraries(glossy2 yafaraycore)

add_library(shinydiffuse SHARED shinydiffuse.cc)
target_link_libraries(shinydiffuse yafaraycore)

add_library(coatedglossy SHARED coatedglossy.cc)
target_link_libraries(coatedglossy yafaraycore)

add_library(simple SHARED simple.cc mask.cc)
target_link_libraries(simple yafaraycore)

add_library(volumetric SHARED beer.cc)
target_link_libraries(volumetric yafaraycore)

install (TARGETS glass roughglass blend glossy glossy2 shinydiffuse coatedglossy simple volumetric
		${YAF_TARGET_TYPE} DESTINATION ${YAF_PLUGIN_DIR})

=== src/textures/CMakeLists.txt ===
include_directories(${YAF_INCLUDE_DIRS})

add_definitions(-DBUILDING_YAFRAYPLUGIN)

set(basictex_SRCS basictex.cc noise.cc imagetex.cc)
add_library(basictex SHARED ${basictex_SRCS})
target_link_libraries(basictex yafaraycore)

add_library(basicnodes SHARED basicnodes.cc layernode.cc)
target_link_libraries(basicnodes yafaraycore)

install (TARGETS basictex basicnodes ${YAF_TARGET_TYPE} DESTINATION ${YAF_PLUGIN_DIR})

=== debian/changelog ===
yafaray (0.1.5-3build1) trusty; urgency=medium

  * No-change rebuild for Python 3.4.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 19 Feb 2014 13:02:29 +0100

yafaray (0.1.5-3) unstable; urgency=low

  * debian/patches/: patchset refreshed
    - 0003-Fix_FTBFS_due_to_assembler_code.patch updated
      to really fix FTBFS on various architectures

 -- Matteo F. Vescovi <mfv.debian@gmail.com>  Wed, 11 Sep 2013 12:05:58 +0200

yafaray (0.1.5-2) unstable; urgency=low

  * debian/patches/: patchset updated
    - 0003-Fix_FTBFS_due_to_assembler_code.patch added

 -- Matteo F. Vescovi <mfv.debian@gmail.com>  Tue, 10 Sep 2013 18:19:44 +0200

yafaray (0.1.5-1) unstable; urgency=low

  * New upstream stable release
    - debian/patches/: patchset updated
      - 0001-Fix_FTBFS_on_ARM.patch refreshed
      - 0002-Disable_FAST_MATH.patch dropped
        since the #include was removed upstream
      - 0003-Fix_FTBFS_against_python3.3.patch renamed to #0002
  * debian/: manpages moved to specific sub-directory
  * debian/rules: python bindings install path updated

 -- Matteo F. Vescovi <mfv.debian@gmail.com>  Mon, 09 Sep 2013 16:45:33 +0200

yafaray (0.1.2+really0.1.2~beta5-6) unstable; urgency=low

  * debian/yafaray.links: "lib" => "share" path changed

 -- Matteo F. Vescovi <mfv.debian@gmail.com>  Mon, 19 Aug 2013 11:43:46 +0200

yafaray (0.1.2+really0.1.2~beta5-5) unstable; urgency=low

  * Upload to unstable
    - debian/yafaray.links: install path updated to work
      with blender actually in unstable
    - debian/control: libjpeg8-dev => libjpeg-dev b-dep updated
    - debian/control: python3-dev (>= 3.3) => python3-dev
    - debian/control: X-Python3-Version dropped
    - debian/rules: PY3VERS "r" option dropped
  * debian/rules: cleanup of useless dh_pysupport

 -- Matteo F. Vescovi <mfv.debian@gmail.com>  Fri, 14 Jun 2013 18:28:54 +0200

yafaray (0.1.2+really0.1.2~beta5-4) experimental; urgency=low

  * debian/: dh bump 8 => 9
  * debian/control: blender version bumped in Recommends
  * debian/control: S-V 3.9.3 => 3.9.4 (no changes needed)
  * debian/control: DMUA flag dropped
  * debian/watch: source path updated.
    Thanks to Bart Martens (bartm) for the hint.
  * debian/patches/: #0003 added to fix FTBFS on Python 3.3.
    Thanks to Dmitrijs Ledkovs for the initial patch. (Closes: #692381)

 -- Matteo F. Vescovi <mfv.debian@gmail.com>  Thu, 14 Mar 2013 11:46:17 +0100

yafaray (0.1.2+really0.1.2~beta5-3) experimental; urgency=low

  * debian/yafaray.links: link to /usr/share updated
    After Blender's path moving from /usr/lib to /usr/share,
    this change is mandatory to have YafaRay working properly.

 -- Matteo F. Vescovi <mfv.debian@gmail.com>  Mon, 23 Jul 2012 14:57:28 +0200

=== debian/control ===
--- 
+++ 
@@ -5,19 +5,18 @@
 Uploaders: Alessio Treglia <alessio@debian.org>,
            Matteo F. Vescovi <mfv.debian@gmail.com>
 Build-Depends: cmake,
-               debhelper (>= 8),
+               debhelper (>= 9),
                libfreetype6-dev,
-               libjpeg8-dev,
+               libjpeg-dev,
                libopenexr-dev,
                libpng-dev,
                libtiff-dev,
                libxml2-dev,
-               python3-all-dev,
+               pkg-config,
+               python3-dev,
                swig,
                zlib1g-dev
-X-Python3-Version: >= 3.2
-DM-Upload-Allowed: yes
-Standards-Version: 3.9.3
+Standards-Version: 3.9.4
 Homepage: http://www.yafaray.org
 Vcs-Git: git://anonscm.debian.org/pkg-multimedia/yafaray.git
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-multimedia/yafaray.git
@@ -27,7 +26,7 @@
 Depends: ${misc:Depends},
          ${python3:Depends},
          ${shlibs:Depends}
-Recommends: blender (>= 2.59)
+Recommends: blender (>= 2.63a-2)
 Description: modern, xml-speaking raytracing-based rendering system
  YafaRay is an advanced raytracing rendering system with many modern features
  including full radiosity and High Dynamic Range Imaging (HDRI) for scene

=== debian/rules ===
--- 
+++ 
@@ -2,7 +2,7 @@
 export DH_OPTIONS
 
 INSTDIR=debian/tmp
-PY3VERS=$(shell py3versions -drv debian/control)
+PY3VERS=$(shell py3versions -dv)
 
 %:
 	dh $@ --buildsystem=cmake --builddirectory=build --with python3
@@ -20,7 +20,5 @@
 
 override_dh_install:
 	dh_install
-	cp -rf $(INSTDIR)/$(CURDIR)/bindings/python/* \
+	cp -rf $(INSTDIR)/$(CURDIR)/build/bindings/python/* \
 		debian/yafaray/usr/lib/yafaray
-
-override_dh_pysupport:

=== debian/watch ===
version=3
opts=uversionmangle=s/(\d)[_\.\-\+]?((RC|rc|pre|dev|beta|alpha|b|a)\d*)$/$1~$2/,dversionmangle=s/\+(debian|dfsg|ds|deb)\d*$//;s/.*really// \
https://github.com/YafaRay/Core/tags .*/(\d.*)\.(?:tgz|tbz2|txz|tar\.(?:gz|bz2|xz))
